curl --request PUT \
--url https://api.inprocess.world/api/collections/default \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"collectionAddress": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA"
}
'{
"id": "22222222-2222-2222-2222-222222222222",
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"name": "My Collection",
"chain_id": 8453,
"created_at": "2025-06-07T20:41:35+00:00",
"uri": "ar://FrDLosTVZP54g8xvLkGG0aWDGrKV46dDAz5umTJkiyA",
"protocol": "in_process",
"creator": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"admins": []
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Set the default collection
Set the default collection for the authenticated artist. Send null to reset it to the artist’s own Process collection.
Note: Only Collection admins can set a Collection as the default.
PUT
/
collections
/
default
curl --request PUT \
--url https://api.inprocess.world/api/collections/default \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"collectionAddress": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA"
}
'{
"id": "22222222-2222-2222-2222-222222222222",
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"name": "My Collection",
"chain_id": 8453,
"created_at": "2025-06-07T20:41:35+00:00",
"uri": "ar://FrDLosTVZP54g8xvLkGG0aWDGrKV46dDAz5umTJkiyA",
"protocol": "in_process",
"creator": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"admins": []
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
apiKeyAuthbearerAuth
Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys
Body
application/json
Response
The new default collection
A collection row as returned by GET /collections